[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#427743: marked as done (flac123 - FTBFS: checking for FLAC__file_decoder_new in -lFLAC... no)

Your message dated Sun, 17 Jun 2007 20:47:07 +0000
with message-id <E1I01eN-0005m5-9H@ries.debian.org>
and subject line Bug#427743: fixed in flac123 0.0.9-5
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: flac123
Version: 0.0.9-4
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs


while doing an archive wide package rebuild your package failed to build from
source for the following reason:

 >  debian/rules build
 > dh_testdir
 > # Configuring package
 > CFLAGS="-Wall -g -O2" ./configure --host=i486-linux-gnu --build=i486-linux-gnu --prefix=/usr
 > checking for a BSD-compatible install... /usr/bin/install -c
 > checking whether build environment is sane... yes
 > checking for gawk... no
 > checking for mawk... mawk
 > checking whether make sets $(MAKE)... yes
 > checking for i486-linux-gnu-gcc... i486-linux-gnu-gcc
 > checking for C compiler default output... a.out
 > checking whether the C compiler works... yes
 > checking whether we are cross compiling... no
 > checking for suffix of executables... 
 > checking for suffix of object files... o
 > checking whether we are using the GNU C compiler... yes
 > checking whether i486-linux-gnu-gcc accepts -g... yes
 > checking for i486-linux-gnu-gcc option to accept ANSI C... none needed
 > checking for style of include used by make... GNU
 > checking dependency style of i486-linux-gnu-gcc... gcc3
 > checking for FLAC__file_decoder_new in -lFLAC... no
 > configure: error: FLAC required!
 > make: *** [config.status] Error 1

I think this is related to an API change and recent upload of a new FLAC
Library, from libflac-dev's changelog:

  * New upstream release. closes: #405167, #411311
    - libOggFLAC and libOggFLAC++ have been merged into libFLAC, so
      remove their corresponding packages.
    - Because of the API changes required to effect the above, there has
      been yet another soname bump. libflac7 -> libflac8 and
      libflac++5 -> libflac++6. Emails have been dispatched to the
      maintainers of dependent packages.

The Full Build log is available and can be viewed at:

	- michael

--- End Message ---
--- Begin Message ---
Source: flac123
Source-Version: 0.0.9-5

We believe that the bug you reported is fixed in the latest version of
flac123, which is due to be installed in the Debian FTP archive:

  to pool/main/f/flac123/flac123_0.0.9-5.diff.gz
  to pool/main/f/flac123/flac123_0.0.9-5.dsc
  to pool/main/f/flac123/flac123_0.0.9-5_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 427743@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Andreas Henriksson <andreas@fatal.se> (supplier of updated flac123 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Fri, 15 Jun 2007 00:45:20 +0200
Source: flac123
Binary: flac123
Architecture: source i386
Version: 0.0.9-5
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Andreas Henriksson <andreas@fatal.se>
 flac123    - command-line flac player
Closes: 427743
 flac123 (0.0.9-5) unstable; urgency=low
   * QA Upload
   * Add patch from Fedoras flac123 package to fix building with
     FLAC >= 1.1.13 (Closes: #427743).
   * Add patch with changes made by running autoreconf.
   * Add dpatch support to debian/rules, add dpatch build-dependency to
 9194a1a5bd38e3df998a9607150c0820 624 sound optional flac123_0.0.9-5.dsc
 fd42ed291b36a614897ac9799a4e1aed 87552 sound optional flac123_0.0.9-5.diff.gz
 ff89c227dabbf6b6a1a7ace34b3c3860 12488 sound optional flac123_0.0.9-5_i386.deb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: